> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List authenticated account addresses

> Returns a list of addresses associated with the authenticated user.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/eoa-accounts
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/eoa-accounts:
    get:
      tags:
        - Account Management
      summary: List authenticated account addresses
      description: Returns a list of addresses associated with the authenticated user.
      responses:
        '200':
          description: A list of addresses for the authenticated user.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      eoaAccounts:
                        type: array
                        items:
                          $ref: '#/components/schemas/EOAAccount'
        '401':
          description: Unauthorized, missing or invalid token.
        '500':
          description: Internal server error.
      security:
        - bearerAuth: []
components:
  schemas:
    EOAAccount:
      type: object
      properties:
        id:
          type: string
          example: clp3j1f9a0000a1cdh6ezx2qv
        address:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        userId:
          type: string
          example: user_123
        createdAt:
          type: string
          format: date-time
          example: '2025-01-27T00:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````